###############################################
###           tests_configuration           ###
###############################################

cmake_minimum_required(VERSION 3.1.0)

project(tests_configuration)

add_executable(${PROJECT_NAME} ${CMAKE_CURRENT_SOURCE_DIR}/test_configuration.cpp)

set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER tests/configuration)

target_link_libraries(${PROJECT_NAME} PRIVATE
	DRAMSys::config
	gtest_main
)

gtest_discover_tests(${PROJECT_NAME}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)

add_executable(jsonconverter ${CMAKE_CURRENT_SOURCE_DIR}/jsonconverter.cpp)
target_link_libraries(jsonconverter PRIVATE DRAMSys::config)
set_target_properties(jsonconverter PROPERTIES FOLDER tests/configuration)

build_source_group()
